<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_event.php');


$action = $_GET['action'];

switch ($action){ 
	case 'nhanthuong':
        $gift_thangcap = abs(intval($_GET['gift_thangcap']));
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($gift_thangcap) ){
			echo "<font size='4' color='red'>Chưa chọn phần thưởng.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $gift_thangcap)){
			echo "<font color='red'>Dữ liệu lỗi - Phần thưởng chỉ được sử dụng số 1-9.</font>";
		}
		else {
        
			$getcontent_url = $server_url . "/event_thangcap.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'name'    =>  $_SESSION['mu_nvchon'],
				'action'    =>  'nhanthuong',
				'gift_thangcap'    =>  $gift_thangcap,
				
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			);
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
		
			if ( empty($reponse) ) $error_module = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
				session_destroy();
			}
			else {
				if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
					$msg = read_TagName($reponse, 'notice', 1);
					echo "|OK|$msg|";
				} else echo $reponse;
			}
		}
        
    break;
}

?>